#ifndef _PACKET_H
#define _PACKET_H

#include <netinet/udp.h>
#include <netinet/ip.h>
#include <netinet/tcp.h>

struct dhcpMessage {
	u_int8_t op;
	u_int8_t htype;
	u_int8_t hlen;
	u_int8_t hops;
	u_int32_t xid;
	u_int16_t secs;
	u_int16_t flags;
	u_int32_t ciaddr;
	u_int32_t yiaddr;
	u_int32_t siaddr;
	u_int32_t giaddr;
	u_int8_t chaddr[16];
	u_int8_t sname[64];
	u_int8_t file[128];
	u_int32_t cookie;
	u_int8_t options[308]; /* 312 - cookie */ 
};

struct udp_dhcp_packet {
	struct iphdr ip;
	struct udphdr udp;
	struct dhcpMessage data;
};

#if 0
#define TCP_PHEADER_LEN 	14
typedef struct {
	unsigned int src;
	unsigned int dst;
	unsigned char mbz;
	unsigned char protocol;
	unsigned short length;
	unsigned short checksum;
} __attribute__ ((__packed__)) tcp_PseudoHeader;
#endif

#if defined(RING_C)

int cnt;
int pppoeDetected = 0;
int dhcpcDetected = 0;
int dhcp_type = 0;
int pptpDetected = 0;


u_char arp_sr_mac[6];
u_char arp_dest_mac[6];
u_char *arp_dest_ip;
u_char *pptp_server_one;
u_char *pptp_server_two;

#else

extern int cnt;
extern int pppoeDetected;
extern int dhcpcDetected;
extern int dhcp_type;
extern int pptpDetected;

extern u_char arp_sr_mac[6];
extern u_char arp_dest_mac[6];
extern u_char *arp_dest_ip;
extern u_char *pptp_server_one;
extern u_char *pptp_server_two;

#endif

struct tcp_packet {
	struct iphdr ip;
	struct tcphdr tcp;
};
//#define WIZARD
//#define WIZARD_DEBUG
#ifdef	WIZARD_DEBUG
#define	DPRINTF	printf
#define FPRINTF fprintf
#else
//#undef DPRINTF
//#undef FPRINTF
#define DPRINTF
#define FPRINTF
#endif
int get_packet(struct dhcpMessage *packet, int fd);
u_int16_t checksum(void *addr, int count);
int raw_packet(struct dhcpMessage *payload, u_int32_t source_ip, int source_port,
		   u_int32_t dest_ip, int dest_port, char *dest_arp, int ifindex);
int kernel_packet(struct dhcpMessage *payload, u_int32_t source_ip, int source_port,
		   u_int32_t dest_ip, int dest_port);
int ttpt_packet(void);		
int strip(u_char *dst, u_char *str);
int Sendpptppacket(u_char *dev);
#endif
