/*
 */

#include <dni_epivers.h>
#include <string.h>
#include <dni_nvram.h>
#include <dni_typedefs.h>
//#include <wlioctl.h>
#include <stdio.h>
//#include <ezc.h>
#include <dni_config.h>
//#include <dni_dummy.h>
//#include <SysComm.h>

#define XSTR(s) STR(s)
#define STR(s) #s

#define PRODUCT_ID	"RP614v4"

struct nvram_tuple router_defaults[] = {

#if 0	
	/* OS parameters */
	{ "os_name", "", 0 },			/* OS name string */
	{ "os_version", EPI_ROUTER_VERSION_STR, 0 },	/* OS revision */
	{ "os_date", __DATE__, 0 },		/* OS date */
	{ "new_fw_avail", "0", 0},		/* new firmware available from web site */
	{ "product_id", PRODUCT_ID, 0 },		/*Added by wayne.lu on 9/22/2004 */

	/* Miscellaneous parameters */
	{ "timer_interval", "3600", 0 },	/* Timer interval in seconds */
//modified by dvd.chen, use domain name instead, it must be 3 of ntp_servers(see start_ntpc() in Servives.c)
	//{ "ntp_server", "192.5.41.40 192.5.41.41 133.100.9.2", 0 },		/* NTP server */
	{ "ntp_server", "ntp0.usno.navy.mil ntp1.usno.navy.mil clock.nc.fukuoka-u.ac.jp", 0 },		/* NTP server */
	//{ "time_zone", "PST8PDT", 0 },		/* Time zone (GNU TZ format) */
	{ "time_zone", "5", 0 },		/* PST5PDT, Time zone (GNU TZ format) */
	{ "ntp_dst_enabled", "1",0},   //Brian+ for DLS
#ifndef	BELKIN_ROUTER
	{ "log_level", "0", 0 },		/* Bitmask 0:off 1:denied 2:accepted */
#endif //#ifndef	BELKIN_ROUTER
	{ "upnp_enable", "0", 0 },		/* Start UPnP */
	{ "upnp_adver_period", "1800", 0},
#ifndef	BELKIN_ROUTER
	{ "ezc_enable", "1", 0 },		/* Enable EZConfig updates */
#endif //#ifndef	BELKIN_ROUTER
#if 0  //dvd.chen
	{ "ezc_version", EZC_VERSION_STR, 0 },	/* EZConfig version */
#endif
	{ "is_default", "1", 0 },		/* is it default setting: 1:yes 0:no*/
	{ "os_server", "", 0 },			/* URL for getting upgrades */
	{ "stats_server", "", 0 },		/* URL for posting stats */
	{ "console_loglevel", "1", 0 },		/* Kernel panics only */

	/* Big switches */
	{ "router_disable", "0", 0 },		/* lan_proto=static lan_stp=0 wan_proto=disabled */
	{ "default_lan_ipaddr_br", "192.168.2.254", 0 },		/* default lan ip for AP mode(router_disable=1) */
	{ "default_lan_netmask_br", "255.255.255.0", 0 }, 	/* default lan netmask for AP mode(router_disable=1) */
	{ "fw_disable", "0", 0 },			/* Disable firewall (allow new connections from the WAN) */
	{ "nat_disable", "0", 0 },		/* Disable NAT */
#ifndef	BELKIN_ROUTER
	{ "log_ipaddr", "", 0 },		/* syslog recipient */
#endif //#ifndef	BELKIN_ROUTER
	
	/* LAN H/W parameters */
	{ "lan_ifname", "", 0 },		/* LAN interface name */
	{ "lan_ifnames", "", 0 },		/* Enslaved LAN interfaces */
	{ "lan_hwnames", "", 0 },		/* LAN driver names (e.g. et0) */
	{ "lan_hwaddr", "", 0 },		/* LAN interface MAC address */
	
	/* LAN TCP/IP parameters */
	// Modified by wayne.lu on 7/15/2004
#if	!defined(BELKIN_ROUTER) && defined(BROADCOM_381)	
	{ "lan_dhcp", "0", 0 },			/* DHCP client [static|dhcp] */
#endif //#if	!defined(BELKIN_ROUTER) && defined(BROADCOM_381)		
	{ "lan_ipaddr", DEFAULT_LAN_IPADDR, 0 },	/* LAN IP address */
	// End of modification
	{ "lan_netmask", "255.255.255.0", 0 },	/* LAN netmask */
#if	!defined(BELKIN_ROUTER) && defined(BROADCOM_381)	
	{ "lan_gateway", "192.168.1.1", 0 },	/* LAN gateway */
#endif //#if	!defined(BELKIN_ROUTER) && defined(BROADCOM_381)		
	{ "lan_proto", "dhcp", 0 },		/* DHCP server [static|dhcp] */

	//Added by pamela 8/11/2004
	{ "default_lan_ipaddr", DEFAULT_LAN_IPADDR, 0 },	/* Default LAN IP address */
	{ "default_lan_netmask", "255.255.255.0", 0 },	/* Default LAN netmask */

#ifndef	BELKIN_ROUTER
	{ "lan_wins", "", 0 },			/* x.x.x.x x.x.x.x ... */
#endif // #ifndef BELKIN_ROUTER	
#ifdef	STANDARD_PRODUCT_ONLY
	{ "lan_domain", "", 0 },		/* LAN domain name */
#else
	{ "lan_domain", "Belkin", 0 },		/* LAN domain name */
#endif // #ifdef STANDARD_PRODUCT_ONLY	
#ifndef	BELKIN_ROUTER
	{ "lan_lease", "86400", 0 },		/* LAN lease time in seconds */
	{ "lan_stp", "1", 0 },			/* LAN spanning tree protocol */
	{ "lan_route", "", 0 },			/* Static routes (ipaddr:netmask:gateway:metric:ifname ...) */
#else
	//modified by pamela
	{ "dhcp_lease", "0", 0 },		/*LAN lease time in half hour: 1 day*/
	{ "lan_stp", "0", 0 },			/* LAN spanning tree protocol */
#endif // #ifndef BELKIN_ROUTER	
#ifdef __CONFIG_NAT__
	/* WAN H/W parameters */
	{ "wan_ifname", "eth1", 0 },		/* WAN interface name */
	{ "wan_ifnames", "eth1 eth2", 0 },		/* WAN interface names */
	{ "wan_hwname", "", 0 },		/* WAN driver name (e.g. et1) */
	{ "wan_hwaddr", "", 0 },		/* WAN interface MAC address */
	
	/* WAN TCP/IP parameters */
	{ "wan_proto", "dhcp", 0 },		/* [static|dhcp|pppoe|disabled] */
	{ "wan_ipaddr", "0.0.0.0", 0 },		/* WAN IP address */
	{ "wan_netmask", "0.0.0.0", 0 },	/* WAN netmask */
	{ "wan_gateway", "0.0.0.0", 0 },	/* WAN gateway */
	{ "wan_dns", "", 0 },			/* x.x.x.x x.x.x.x ... */
#ifdef	BELKIN_ROUTER
	{ "belkin_router", "1", 0 },
	{ "wan_autodns", "1", 0 },  //wan_dns.html, wan_static.html
	{ "wan_moreip", "0", 0 },		//wan_static_check.html
	{ "wan_aliasip", "", 0 },		//wan_static_check.html
	{ "wan_ping", "1", 0 },		//wan_static_check.html
#else
	{ "wan_wins", "", 0 },			/* x.x.x.x x.x.x.x ... */
#endif //#ifdef	BELKIN_ROUTER
	{ "wan_hostname", "", 0 },		/* WAN hostname */
	{ "wan_domain", "", 0 },		/* WAN domain name */
#ifndef	BELKIN_ROUTER
	{ "wan_lease", "86400", 0 },		/* WAN lease time in seconds */
#endif //#ifndef	BELKIN_ROUTER
	
	/* PPPoE parameters */
	{ "wan_pppoe_ifname", "", 0 },		/* PPPoE enslaved interface */
	{ "wan_pppoe_username", "", 0 },	/* PPP username */
	{ "wan_pppoe_passwd", "", 0 },		/* PPP password */
#ifndef	BELKIN_ROUTER
	{ "wan_pppoe_idletime", "60", 0 },	/* Dial on demand max idle time (seconds) */
	{ "wan_pppoe_keepalive", "0", 0 },	/* Restore link automatically */
#else
	{ "wan_pppoe_idletime", "300", 0 },	/* Dial on demand max idle time (seconds) */  //belkin: 5 minutes
	{ "wan_pppoe_keepalive", "1", 0 },	/* Restore link automatically */
#endif
	{ "wan_pppoe_demand", "0", 0 },		/* Dial on demand */
#ifndef	BELKIN_ROUTER
	{ "wan_pppoe_mru", "1492", 0 },		/* Negotiate MRU to this value */
	{ "wan_pppoe_mtu", "1492", 0 },		/* Negotiate MTU to the smaller of this value or the peer MRU */
#else
	{ "wan_pppoe_mru", "1454", 0 },		/* Negotiate MRU to this value */
	{ "wan_pppoe_mtu", "1454", 0 },		/* Negotiate MTU to the smaller of this value or the peer MRU */
#endif
	{ "wan_pppoe_service", "", 0 },		/* PPPoE service name */
	{ "wan_pppoe_ac", "", 0 },		/* PPPoE access concentrator name */

	/* PPtP parameters */
	{ "wan_pptp_username", "", 0 },
	{ "wan_pptp_password", "", 0 },
	{ "wan_pptp_idle_disconnect", "0", 0 },	/* 0:keepalive Mode, 1:dial_on_denand Mode */
	{ "wan_pptp_idle_interval", "5", 0 },		/* Dial on demand max idle time (minutes) */  //belkin: 5 minutes
	{ "wan_pptp_conn_id", "", 0 },
	{ "wan_pptp_ipaddr", "", 0 },
	{ "wan_pptp_netmask", "", 0 },
	{ "wan_pptp_server_ipaddr", "", 0 },

	/* Misc WAN parameters */
	{ "wan_desc", "", 0 },			/* WAN connection description */
	{ "wan_route", "", 0 },			/* Static routes (ipaddr:netmask:gateway:metric:ifname ...) */
	{ "wan_primary", "1", 0 },		/* Primary wan connection */

	{ "wan_unit", "0", 0 },			/* Last configured connection */

	/* heartbeat(bpaLogin) parameters */
	{ "heartbeat_username", "", 0 },			/* bpaLogin username */
	{ "heartbeat_password", "", 0 },			/* bpaLogin password */
	{ "heartbeat_state", "0", 0 },				/* predefined state, 0:illeagal, 1~6 */
	{ "heartbeat_server", "", 0 },			/* bpaLogin authentication server(ip) */
	{ "heartbeat_is_manual_server", "0", 0 },	/*0:server setting by state, 1:server setting by user */
	
	/* Filters */
	{ "filter_maclist", "", 0 },		/* xx:xx:xx:xx:xx:xx ... */
#ifndef	BELKIN_ROUTER
	{ "filter_macmode", "deny", 0 },	/* "allow" only, "deny" only, or "disabled" (allow all) */
#else
	// Modified by wayne.lu on 8/7/2004
	// Set default to disabled
	{ "filter_macmode", "disabled", 0 },	/* "allow" only, "deny" only, or "disabled" (allow all) */
#endif
	{ "filter_client0", "", 0 },		/* [lan_ipaddr0-lan_ipaddr1|*]:lan_port0-lan_port1,proto,enable,day_start-day_end,sec_start-sec_end,desc */

	/* Port forwards */
	{ "dmz_ipaddr", "", 0 },		/* x.x.x.x (equivalent to 0-60999>dmz_ipaddr:0-60999) */
	{ "forward_port0", "", 0 },		/* wan_port0-wan_port1>lan_ipaddr:lan_port0-lan_port1[:,]proto[:,]enable[:,]desc */
	{ "autofw_port0", "", 0 },		/* out_proto:out_port,in_proto:in_port0-in_port1>to_port0-to_port1,enable,desc */
	
//Yili 2004/11/24 Add Content Filtering code
#ifdef	CONFIGURE_CONTENT_FILTER
	{ "cf_keywords_count", "0", 0 },
	{ "cf_keywords0", "", 0 },
	{ "cf_keywords1", "", 0 },
	{ "cf_keywords2", "", 0 },
	{ "cf_keywords3", "", 0 },
	{ "cf_keywords4", "", 0 },
	{ "cf_keywords5", "", 0 },
	{ "cf_keywords6", "", 0 },
	{ "cf_keywords7", "", 0 },
	{ "cf_keywords8", "", 0 },
	{ "cf_keywords9", "", 0 },
	{ "cf_keywords10", "", 0 },
	{ "cf_keywords11", "", 0 },
	{ "cf_keywords12", "", 0 },
	{ "cf_keywords13", "", 0 },
	{ "cf_keywords14", "", 0 },
	{ "cf_block_URLKeyword", "0", 0 },
	{ "cf_block_URLIP", "0", 0 },
	{ "cf_block_java", "0", 0 },
	{ "cf_block_activeX", "0", 0 },
	{ "cf_block_cookie", "0", 0 },
	{ "cf_file_exts", "", 0 },
	{ "cf_schedule_type", "0", 0 },
	{ "cf_weekday", "", 0 },
	{ "cf_time_period", "", 0 },
	{ "cf_trust_ip", "", 0 },
#endif
// Yili end
	/* DHCP server parameters */
	// Modified by pamela on 8/11/2004
#ifndef	BELKIN_ROUTER
	{ "dhcp_start", "192.168.1.100", 0 },	/* First assignable DHCP address */
	{ "dhcp_end", "192.168.1.150", 0 },	/* Last assignable DHCP address */
#else
	{ "dhcp_start", "192.168.2.2", 0 },	/* First assignable DHCP address */
	{ "dhcp_end", "192.168.2.100", 0 },	/* Last assignable DHCP address */
#endif
	//end of modified
	// Modified by wayne.lu to change the default value of dhcp_domain from wan --> lan
	// User lan domain first if it is set.  
	{ "dhcp_domain", "lan", 0 },		/* Use WAN domain name first if available (wan|lan) */
	{ "dhcp_wins", "wan", 0 },		/* Use WAN WINS first if available (wan|lan) */
#endif	/* __CONFIG_NAT__ */

	/* Web server parameters */
	{ "http_username", "", 0 },		/* Username */
	{ "http_passwd", "", 0 },		/* Password */
	// Added by wayne to pre-set it to 80 on 8/7/2004
	{ "http_wanport", "80", 0 },		/* WAN port to listen on */
	{ "http_lanport", "80", 0 },		/* LAN port to listen on */
	{ "http_login_timeout", "10", 0 },

	/* Wireless parameters */
	{ "wl_ifname", "", 0 },			/* Interface name */
	{ "wl_hwaddr", "", 0 },			/* MAC address */
	{ "wl_phytype", "b", 0 },		/* Current wireless band ("a" (5 GHz), "b" (2.4 GHz), or "g" (2.4 GHz)) */
	{ "wl_corerev", "", 0 },		/* Current core revision */
	{ "wl_phytypes", "", 0 },		/* List of supported wireless bands (e.g. "ga") */
	{ "wl_radioids", "", 0 },		/* List of radio IDs */
	{ "wl_ssid", WIRELESS_SSID, 0 },		/* Service set ID (network name) */
	// Modified by wayne.lu on 8/12/2004
#ifndef	BELKIN_ROUTER
	{ "wl_country", "", 0 },		/* Country (default obtained from driver) */
#else	
	{ "wl_country", "US", 0 },		/* Country (default obtained from driver) */
#endif //#ifndef	BELKIN_ROUTER
	{ "wl_country_code", "US", 0 },		/* Country (default obtained from driver) */
	// End of modification
	{ "wl_radio", "1", 0 },			/* Enable (1) or disable (0) radio */
	{ "wl_closed", "0", 0 },		/* Closed (hidden) network */
        { "wl_ap_isolate", "0", 0 },            /* AP isolate mode */
	{ "wl_mode", "ap", 0 },			/* AP mode (ap|sta|wds) */
//Yili modity
#ifndef	BELKIN_ROUTER
	{ "wl_lazywds", "0", 0 },		/* Enable "lazy" WDS mode (0|1) */
#else		
	{ "wl_lazywds", "1", 0 },		/* Enable "lazy" WDS mode (0|1) */
#endif //#ifndef	BELKIN_ROUTER
//Yili end
	{ "wl_wds", "", 0 },			/* xx:xx:xx:xx:xx:xx ... */
#ifdef	BROADCOM_381
	{ "wl_wds_timeout", "0", 0 },		/* WDS link detection interval */
#endif //#ifdef	BROADCOM_381
	{ "wl_wep", "disabled", 0 },		/* WEP data encryption (enabled|disabled) */
	{ "wl_auth", "0", 0 },			/* Shared key authentication optional (0) or required (1) */
	{ "wl_key", "1", 0 },			/* Current WEP key */
	{ "wl_key1", "", 0 },			/* 5/13 char ASCII or 10/26 char hex */
	{ "wl_key2", "", 0 },			/* 5/13 char ASCII or 10/26 char hex */
	{ "wl_key3", "", 0 },			/* 5/13 char ASCII or 10/26 char hex */
	{ "wl_key4", "", 0 },			/* 5/13 char ASCII or 10/26 char hex */
	{ "wl_maclist", "", 0 },		/* xx:xx:xx:xx:xx:xx ... */
	{ "wl_macmode", "disabled", 0 },	/* "allow" only, "deny" only, or "disabled" (allow all) */
	{ "wl_channel", "11", 0 },		/* Channel number */
	{ "wl_rate", "0", 0 },			/* Rate (bps, 0 for auto) */
	{ "wl_mrate", "0", 0 },			/* Mcast Rate (bps, 0 for auto) */
	{ "wl_rateset", "default", 0 },		/* "default" or "all" or "12" */
	{ "wl_frag", "2346", 0 },		/* Fragmentation threshold */
	{ "wl_rts", "2347", 0 },		/* RTS threshold */
	{ "wl_dtim", "3", 0 },			/* DTIM period */
	{ "wl_bcn", "100", 0 },			/* Beacon interval */
	{ "wl_plcphdr", "long", 0 },		/* 802.11b PLCP preamble type */
#ifdef IS_WIRELESS_WIFI
	{ "wl_gmode", XSTR(GMODE_AUTO), 0 },	/* 54g mode */
#else
	{ "wl_gmode", GMODE, 0 },	        /* 54g mode */
#endif //#ifdef IS_WIRELESS_WIFI
	{ "wl_gmode_protection", "auto", 0 },	/* 802.11g RTS/CTS protection (off|auto) */
	{ "wl_afterburner", AFB, 0 },		/* AfterBurner */
#ifdef IS_WIRELESS_WIFI
	{ "wl_frameburst", "off", 0 },		/* BRCM Frambursting mode (off|on) */
#else
	{ "wl_frameburst", "on", 0 },		/* BRCM Frambursting mode (off|on) */
#endif //#ifdef IS_WIRELESS_WIFI
#ifdef	BROADCOM_381
	{ "wl_wme", "off", 0 },			/* WME mode (off|on) */
#endif //#ifdef	BROADCOM_381
	{ "wl_antdiv", "-1", 0 },		/* Antenna Diversity (-1|0|1|3) */
	{ "wl_infra", "1", 0 },			/* Network Type (BSS/IBSS) */

	/* WPA parameters */
#if	!defined(BELKIN_ROUTER) && defined(BROADCOM_381)	
	{ "wl_auth_mode", "none", 0 },		/* Network authentication mode (radius|none) */
#else	
//Yili test
	{ "wl_auth_mode", "none", 0 },		/* Network authentication mode (radius|none) */
//Yili test end
//Yili test closed	{ "wl_auth_mode", "open", 0 },		/* Network authentication mode (open|shared|radius|wpa|psk) */
#endif // #if	!defined(BELKIN_ROUTER) && defined(BROADCOM_381)	
	{ "wl_wpa_psk", "", 0 },		/* WPA pre-shared key */
//Yili change
#ifndef	BELKIN_ROUTER
	{ "wl_wpa_gtk_rekey", "0", 0 },		/* GTK rotation interval */
#else	
	{ "wl_wpa_gtk_rekey", "60", 0 },		/* GTK rotation interval */
#endif //#ifndef	BELKIN_ROUTER
//Yili change end
	{ "wl_radius_ipaddr", "", 0 },		/* RADIUS server IP address */
	{ "wl_radius_key", "", 0 },		/* RADIUS shared secret */
	{ "wl_radius_port", "1812", 0 },	/* RADIUS server UDP port */
	{ "wl_crypto", "tkip", 0 },		/* WPA data encryption */
//Yili add
	{ "wl_wep_mode", "off", 0 },		/* WEP Encryption */
	{ "wl_psk_obscure", "0", 0 },		/* Obscure PSK */
//Yili end
#ifdef	BROADCOM_381
	{ "wl_net_reauth", "36000", 0 },	/* Network Re-auth/PMK caching duration */
	{ "wl_akm", "", 0 },			/* WPA akm list */
#endif // #ifdef	BROADCOM_381
//Yili test
	{ "wl_akm", "", 0 },			/* WPA akm list */
//Yili test end

#if	!defined(BELKIN_ROUTER) && defined(BROADCOM_381)	
	/* WME parameters */
	/* EDCA parameters for STA */
	{ "wl_wme_sta_bk", "15 1023 7 0 0 off", 0 },	/* WME STA AC_BK paramters */
	{ "wl_wme_sta_be", "15 1023 3 0 0 off", 0 },	/* WME STA AC_BE paramters */
	{ "wl_wme_sta_vi", "7 15 2 6016 3008 off", 0 },	/* WME STA AC_VI paramters */
	{ "wl_wme_sta_vo", "3 7 2 3264 1504 off", 0 },	/* WME STA AC_VO paramters */

	/* EDCA parameters for AP */
	{ "wl_wme_ap_bk", "15 1023 7 0 0 off", 0 },	/* WME AP AC_BK paramters */
	{ "wl_wme_ap_be", "15 63 3 0 0 off", 0 },	/* WME AP AC_BE paramters */
	{ "wl_wme_ap_vi", "7 15 1 6016 3008 off", 0 },	/* WME AP AC_VI paramters */
	{ "wl_wme_ap_vo", "3 7 1 3264 1504 off", 0 },	/* WME AP AC_VO paramters */

	{ "wl_wme_no_ack", "off", 0},		/* WME No-Acknowledgmen mode */
#endif // #ifndef	BELKIN_ROUTER#if	!defined(BELKIN_ROUTER) && defined(BROADCOM_381)	

#ifdef	BROADCOM_381
	{ "wl_maxassoc", "128", 0},		/* Max associations driver could support */
#endif // #ifdef	BROADCOM_381

	{ "wl_unit", "0", 0 },			/* Last configured interface */
	
	//firmware update parameter
	{ "fw_auto_detect", "0", 0}, 
	{ "remote_config_ip", "", 0}, /* Remote management*/ /*added by pamela*/
		
	/* Restore defaults */
	{ "restore_defaults", "0", 0 },		/* Set to 0 to not restore defaults on boot */
	// Added by wayne.lu on 7/15/2004
#ifdef	BELKIN_ROUTER
	{ "restore_brcmdef", "0", 0 },		/* Set to 0 to not restore defaults on boot */
#endif		
	// End of adding
	 
#if 0	 	// Remvoed by request from Alfa on 12/09/2004
	/* add by rf PA */
	{ "aa0", "3", 0 },
	{ "ag0", "255", 0 },
	{ "pa0itssit", "62", 0 },
	{ "pa0maxpwr", "60", 0 },
	{ "pa0b0", "0x14f5", 0 },
	{ "pa0b1", "0xfaab", 0 },
	{ "pa0b2", "0xfe5c", 0 },
	/* end PA */
#endif 	
	/* add by lucas for ceb */
	{ "ceb_timeout", "10", 0 },
	{ "ceb_nag", "1", 0 },
	{ "ceb_email_enable", "1", 0 },
	{ "ceb_unavail_block", "1", 0 },
	{ "ceb_enable" , "0", 0 },
	{ "ceb_expire", "0", 0 },
	{ "ceb_subsc", "2", 0 },
	{ "ceb_1st_subsc", "1", 0},	//Natalie 12012004
	/* end by lucas */
#ifdef STANDARD_PRODUCT_ONLY
	{ "rip_enable","0",0},
	{ "ddns_enable","0",0},
#endif
	{ "vp_client_route0","",0},
	{ "vp_client_route1","",0},
	{ "vp_client_route2","",0},
	{ "vp_client_route3","",0},
	{ "vp_client_route4","",0},
	{ "vp_client_route5","",0},
	{ "vp_client_route6","",0},
	{ "vp_client_route7","",0},
	{ "vp_client_route_no","1",0},
	{ "ssl_vp_client_IP_start",ACCESSPOINT_DEFAULT_START_ADDR,0},
	{ "ssl_vp_client_IP_end",ACCESSPOINT_DEFAULT_END_ADDR,0},
	{ "encry_conf","0",0},
	{ "cert_info0","default& md5WithRSAEncryption& Sep 10 11:54:57 2005 GMT",0},
	{ "cert_count","1",0},
	{ 0, 0, 0 }
#endif	
};
